;----------------------------------------------------------------------------
;    MODULE NAME:   KEYEDVAR.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   31 Jan 1999 17:40:52  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/KEYEDVAR.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "KEYEDVAR.XH".
;
;                   Compile with "ppwizard KEYEDVAR.X /rexx"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/KEYEDVAR.X_V   1.1   31 Jan 1999 17:40:52   Dennis_Bareis  $
 */

/*--- Include the support code ----------------------------------------------*/
;#define  KEYEDVAR_NO_KeyGetInfo
#define   KEYEDVAR_TRANSLATE_ROUTINE  MySymbolTranslate
#include "KEYEDVAR.XH"
NotValidInSymbols = '"`!@#$%^&*()-+/\][{}.,<>?|;:~=' || "'";

/*--- Save Some Information (Won't bother checking return code) -------------*/
call  KeySaveInfo "", "FirstName", "Dennis"
call  KeySaveInfo "", "LastName",  "Bareis"
call  KeySaveInfo "Exclude", "Stas";                   ;;Add to exclusion list

/*--- See if Have information stored ----------------------------------------*/
if KeyExists("Exclude", "Bareis") = 'N' then
   say 'Bareis is not in exclude list!';
else
   DemoFailed();

/*--- Get Some Information --------------------------------------------------*/
say 'FirstName = ' || KeyGetInfo(,"FirstName")
say 'LastName  = ' || KeyGetInfo('', "LastName")
say ''
say 'The Following Key does not exist'
say '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
say KeyGetInfo('', "WillNotExist");
exit(0);



/*===========================================================================*/
MySymbolTranslate:                              /* Ensure all keys are valid */
/*===========================================================================*/
   return( translate(arg(1), '', NotValidInSymbols, '_') );


/*===========================================================================*/
DemoFailed:
/*===========================================================================*/
   say 'Demo failed on line ' || SIGL || '!';
   exit(255);
